/[svn]/ircd-hybrid-7.2/configure
ViewVC logotype

Diff of /ircd-hybrid-7.2/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 922 by michael, Mon Nov 12 16:27:49 2007 UTC revision 923 by michael, Mon Nov 12 19:15:27 2007 UTC
# Line 1501  Optional Features: Line 1501  Optional Features:
1501    --enable-fast-install[=PKGS]    --enable-fast-install[=PKGS]
1502                            optimize for fast installation [default=yes]                            optimize for fast installation [default=yes]
1503    --disable-libtool-lock  avoid locking (might break parallel builds)    --disable-libtool-lock  avoid locking (might break parallel builds)
1504      --disable-zlib          Disable ziplinks support
1505    --enable-openssl=DIR       Enable OpenSSL support (DIR optional).    --enable-openssl=DIR       Enable OpenSSL support (DIR optional).
1506    --disable-openssl            Disable OpenSSL support.    --disable-openssl            Disable OpenSSL support.
1507    --enable-kqueue         Force kqueue usage.    --enable-kqueue         Force kqueue usage.
# Line 1524  Optional Packages: Line 1525  Optional Packages:
1525    --with-pic              try to use only PIC/non-PIC objects [default=use    --with-pic              try to use only PIC/non-PIC objects [default=use
1526                            both]                            both]
1527    --with-tags[=TAGS]      include additional configurations [automatic]    --with-tags[=TAGS]      include additional configurations [automatic]
1528      --with-zlib-path=DIR    Path to libz.so for ziplinks support.
1529    --with-nicklen=<value>  Set nickname length (default 9).    --with-nicklen=<value>  Set nickname length (default 9).
1530    --with-topiclen=<value> Set topic length (default 160).    --with-topiclen=<value> Set topic length (default 160).
1531    --lclient-heap-size=<value>    --lclient-heap-size=<value>
# Line 1539  Optional Packages: Line 1541  Optional Packages:
1541    --ban-heap-size=<value> Set ban heap size (default 128).    --ban-heap-size=<value> Set ban heap size (default 128).
1542    --topic-heap-size=<value>    --topic-heap-size=<value>
1543                            Set topic heap size (default 256).                            Set topic heap size (default 256).
   --ircd-heap-size=<value>  
                           Set ircd heap size (default 8).  
   --mqueue-size=<value>   Set mqueue heap size (default 256).  
   --fmsg-size=<value>     Set fmsg heap size (default 256).  
1544    --nickname-history-length=<value>    --nickname-history-length=<value>
1545                            Set length of nickname history list (default 1500).                            Set length of nickname history list (default 1500).
1546    --with-syslog-facility=LOG    --with-syslog-facility=LOG
# Line 2521  ac_config_headers="$ac_config_headers co Line 2519  ac_config_headers="$ac_config_headers co
2519    
2520    
2521    
2522    
2523  #ltdl stuff  #ltdl stuff
2524    case $enable_ltdl_convenience in    case $enable_ltdl_convenience in
2525    no) { { echo "$as_me:$LINENO: error: this package needs a convenience libltdl" >&5    no) { { echo "$as_me:$LINENO: error: this package needs a convenience libltdl" >&5
# Line 2588  fi Line 2587  fi
2587    
2588    
2589    
2590    
2591  # Checks for programs.  # Checks for programs.
2592  ac_ext=c  ac_ext=c
2593  ac_cpp='$CPP $CPPFLAGS'  ac_cpp='$CPP $CPPFLAGS'
# Line 19773  LIBTOOL='$(SHELL) $(top_builddir)/libtoo Line 19773  LIBTOOL='$(SHELL) $(top_builddir)/libtoo
19773    
19774  LIBTOOL="$LIBTOOL --silent"  LIBTOOL="$LIBTOOL --silent"
19775    
19776    
19777  # Checks for libraries.  # Checks for libraries.
19778    
19779    { echo "$as_me:$LINENO: checking for library containing socket" >&5    { echo "$as_me:$LINENO: checking for library containing socket" >&5
# Line 20321  fi Line 20322  fi
20322    
20323    
20324    
         { echo "$as_me:$LINENO: checking for library containing crypt" >&5  
 echo $ECHO_N "checking for library containing crypt... $ECHO_C" >&6; }  
 if test "${ac_cv_search_crypt+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   ac_func_search_save_LIBS=$LIBS  
 cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
   
 /* Override any GCC internal prototype to avoid an error.  
    Use char because int might match the return type of a GCC  
    builtin and then its argument prototype would still apply.  */  
 #ifdef __cplusplus  
 extern "C"  
 #endif  
 char crypt ();  
 int  
 main ()  
 {  
 return crypt ();  
   ;  
   return 0;  
 }  
 _ACEOF  
 for ac_lib in '' crypt descrypt; do  
   if test -z "$ac_lib"; then  
     ac_res="none required"  
   else  
     ac_res=-l$ac_lib  
     LIBS="-l$ac_lib  $ac_func_search_save_LIBS"  
   fi  
   rm -f conftest.$ac_objext conftest$ac_exeext  
 if { (ac_try="$ac_link"  
 case "(($ac_try" in  
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;  
   *) ac_try_echo=$ac_try;;  
 esac  
 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5  
   (eval "$ac_link") 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } && {  
          test -z "$ac_c_werror_flag" ||  
          test ! -s conftest.err  
        } && test -s conftest$ac_exeext &&  
        $as_test_x conftest$ac_exeext; then  
   ac_cv_search_crypt=$ac_res  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
   
 fi  
   
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \  
       conftest$ac_exeext  
   if test "${ac_cv_search_crypt+set}" = set; then  
   break  
 fi  
 done  
 if test "${ac_cv_search_crypt+set}" = set; then  
   :  
 else  
   ac_cv_search_crypt=no  
 fi  
 rm conftest.$ac_ext  
 LIBS=$ac_func_search_save_LIBS  
 fi  
 { echo "$as_me:$LINENO: result: $ac_cv_search_crypt" >&5  
 echo "${ECHO_T}$ac_cv_search_crypt" >&6; }  
 ac_res=$ac_cv_search_crypt  
 if test "$ac_res" != no; then  
   test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"  
   
 fi  
   
    if test "$ac_cv_search_crypt" = "none required"; then  
   HAVE_CRYPT_TRUE=  
   HAVE_CRYPT_FALSE='#'  
 else  
   HAVE_CRYPT_TRUE='#'  
   HAVE_CRYPT_FALSE=  
 fi  
   
   
   
 # Checks for header files.  
   
 for ac_header in sys/resource.h  
 do  
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`  
 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then  
   { echo "$as_me:$LINENO: checking for $ac_header" >&5  
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }  
 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 fi  
 ac_res=`eval echo '${'$as_ac_Header'}'`  
                { echo "$as_me:$LINENO: result: $ac_res" >&5  
 echo "${ECHO_T}$ac_res" >&6; }  
 else  
   # Is the header compilable?  
 { echo "$as_me:$LINENO: checking $ac_header usability" >&5  
 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }  
 cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 $ac_includes_default  
 #include <$ac_header>  
 _ACEOF  
 rm -f conftest.$ac_objext  
 if { (ac_try="$ac_compile"  
 case "(($ac_try" in  
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;  
   *) ac_try_echo=$ac_try;;  
 esac  
 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5  
   (eval "$ac_compile") 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } && {  
          test -z "$ac_c_werror_flag" ||  
          test ! -s conftest.err  
        } && test -s conftest.$ac_objext; then  
   ac_header_compiler=yes  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
         ac_header_compiler=no  
 fi  
   
 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext  
 { echo "$as_me:$LINENO: result: $ac_header_compiler" >&5  
 echo "${ECHO_T}$ac_header_compiler" >&6; }  
   
 # Is the header present?  
 { echo "$as_me:$LINENO: checking $ac_header presence" >&5  
 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }  
 cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 #include <$ac_header>  
 _ACEOF  
 if { (ac_try="$ac_cpp conftest.$ac_ext"  
 case "(($ac_try" in  
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;  
   *) ac_try_echo=$ac_try;;  
 esac  
 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5  
   (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } >/dev/null && {  
          test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||  
          test ! -s conftest.err  
        }; then  
   ac_header_preproc=yes  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
   ac_header_preproc=no  
 fi  
   
 rm -f conftest.err conftest.$ac_ext  
 { echo "$as_me:$LINENO: result: $ac_header_preproc" >&5  
 echo "${ECHO_T}$ac_header_preproc" >&6; }  
   
 # So?  What about this header?  
 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in  
   yes:no: )  
     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5  
 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5  
 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}  
     ac_header_preproc=yes  
     ;;  
   no:yes:* )  
     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5  
 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5  
 echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5  
 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5  
 echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5  
 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5  
 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}  
   
     ;;  
 esac  
 { echo "$as_me:$LINENO: checking for $ac_header" >&5  
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }  
 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   eval "$as_ac_Header=\$ac_header_preproc"  
 fi  
 ac_res=`eval echo '${'$as_ac_Header'}'`  
                { echo "$as_me:$LINENO: result: $ac_res" >&5  
 echo "${ECHO_T}$ac_res" >&6; }  
   
 fi  
 if test `eval echo '${'$as_ac_Header'}'` = yes; then  
   cat >>confdefs.h <<_ACEOF  
 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1  
 _ACEOF  
   
 fi  
   
 done  
  # ick  
20325    
20326  # Checks for typedefs, structures, and compiler characteristics.  # Checks for typedefs, structures, and compiler characteristics.
20327  { echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5  { echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5
# Line 22130  done Line 21897  done
21897    
21898    
21899    
21900    # Checks for header files.
21901    
21902    
21903    
# Line 22327  done Line 22095  done
22095    
22096    
22097    
22098    { echo "$as_me:$LINENO: checking for /dev/null" >&5
22099    echo $ECHO_N "checking for /dev/null... $ECHO_C" >&6; }
22100    if test -c /dev/null ; then
22101    
22102    cat >>confdefs.h <<\_ACEOF
22103    #define PATH_DEVNULL "/dev/null"
22104    _ACEOF
22105    
22106      { echo "$as_me:$LINENO: result: yes" >&5
22107    echo "${ECHO_T}yes" >&6; }
22108    else
22109    
22110    cat >>confdefs.h <<\_ACEOF
22111    #define PATH_DEVNULL "devnull.log"
22112    _ACEOF
22113    
22114      { echo "$as_me:$LINENO: result: no - using devnull.log" >&5
22115    echo "${ECHO_T}no - using devnull.log" >&6; }
22116    fi
22117    
22118    
22119    { echo "$as_me:$LINENO: checking for library containing crypt" >&5
22120    echo $ECHO_N "checking for library containing crypt... $ECHO_C" >&6; }
22121    if test "${ac_cv_search_crypt+set}" = set; then
22122      echo $ECHO_N "(cached) $ECHO_C" >&6
22123    else
22124      ac_func_search_save_LIBS=$LIBS
22125    cat >conftest.$ac_ext <<_ACEOF
22126    /* confdefs.h.  */
22127    _ACEOF
22128    cat confdefs.h >>conftest.$ac_ext
22129    cat >>conftest.$ac_ext <<_ACEOF
22130    /* end confdefs.h.  */
22131    
22132    /* Override any GCC internal prototype to avoid an error.
22133       Use char because int might match the return type of a GCC
22134       builtin and then its argument prototype would still apply.  */
22135    #ifdef __cplusplus
22136    extern "C"
22137    #endif
22138    char crypt ();
22139    int
22140    main ()
22141    {
22142    return crypt ();
22143      ;
22144      return 0;
22145    }
22146    _ACEOF
22147    for ac_lib in '' crypt descrypt; do
22148      if test -z "$ac_lib"; then
22149        ac_res="none required"
22150      else
22151        ac_res=-l$ac_lib
22152        LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
22153      fi
22154      rm -f conftest.$ac_objext conftest$ac_exeext
22155    if { (ac_try="$ac_link"
22156    case "(($ac_try" in
22157      *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
22158      *) ac_try_echo=$ac_try;;
22159    esac
22160    eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
22161      (eval "$ac_link") 2>conftest.er1
22162      ac_status=$?
22163      grep -v '^ *+' conftest.er1 >conftest.err
22164      rm -f conftest.er1
22165      cat conftest.err >&5
22166      echo "$as_me:$LINENO: \$? = $ac_status" >&5
22167      (exit $ac_status); } && {
22168             test -z "$ac_c_werror_flag" ||
22169             test ! -s conftest.err
22170           } && test -s conftest$ac_exeext &&
22171           $as_test_x conftest$ac_exeext; then
22172      ac_cv_search_crypt=$ac_res
22173    else
22174      echo "$as_me: failed program was:" >&5
22175    sed 's/^/| /' conftest.$ac_ext >&5
22176    
22177    
22178    fi
22179    
22180    rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
22181          conftest$ac_exeext
22182      if test "${ac_cv_search_crypt+set}" = set; then
22183      break
22184    fi
22185    done
22186    if test "${ac_cv_search_crypt+set}" = set; then
22187      :
22188    else
22189      ac_cv_search_crypt=no
22190    fi
22191    rm conftest.$ac_ext
22192    LIBS=$ac_func_search_save_LIBS
22193    fi
22194    { echo "$as_me:$LINENO: result: $ac_cv_search_crypt" >&5
22195    echo "${ECHO_T}$ac_cv_search_crypt" >&6; }
22196    ac_res=$ac_cv_search_crypt
22197    if test "$ac_res" != no; then
22198      test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
22199    
22200    fi
22201    
22202     if test "$ac_cv_search_crypt" = "none required"; then
22203      HAVE_CRYPT_TRUE=
22204      HAVE_CRYPT_FALSE='#'
22205    else
22206      HAVE_CRYPT_TRUE='#'
22207      HAVE_CRYPT_FALSE=
22208    fi
22209    
22210    
22211    
22212    
22213    # Check whether --with-zlib-path was given.
22214    if test "${with_zlib_path+set}" = set; then
22215      withval=$with_zlib_path; LDFLAGS="-L$withval $LDFLAGS"
22216    fi
22217    
22218    
22219    # Check whether --enable-zlib was given.
22220    if test "${enable_zlib+set}" = set; then
22221      enableval=$enable_zlib; zlib=$enableval
22222    else
22223      zlib=yes
22224    fi
22225    
22226    
22227    if test "$zlib" = yes; then
22228      if test "${ac_cv_header_zlib_h+set}" = set; then
22229      { echo "$as_me:$LINENO: checking for zlib.h" >&5
22230    echo $ECHO_N "checking for zlib.h... $ECHO_C" >&6; }
22231    if test "${ac_cv_header_zlib_h+set}" = set; then
22232      echo $ECHO_N "(cached) $ECHO_C" >&6
22233    fi
22234    { echo "$as_me:$LINENO: result: $ac_cv_header_zlib_h" >&5
22235    echo "${ECHO_T}$ac_cv_header_zlib_h" >&6; }
22236    else
22237      # Is the header compilable?
22238    { echo "$as_me:$LINENO: checking zlib.h usability" >&5
22239    echo $ECHO_N "checking zlib.h usability... $ECHO_C" >&6; }
22240    cat >conftest.$ac_ext <<_ACEOF
22241    /* confdefs.h.  */
22242    _ACEOF
22243    cat confdefs.h >>conftest.$ac_ext
22244    cat >>conftest.$ac_ext <<_ACEOF
22245    /* end confdefs.h.  */
22246    $ac_includes_default
22247    #include <zlib.h>
22248    _ACEOF
22249    rm -f conftest.$ac_objext
22250    if { (ac_try="$ac_compile"
22251    case "(($ac_try" in
22252      *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
22253      *) ac_try_echo=$ac_try;;
22254    esac
22255    eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
22256      (eval "$ac_compile") 2>conftest.er1
22257      ac_status=$?
22258      grep -v '^ *+' conftest.er1 >conftest.err
22259      rm -f conftest.er1
22260      cat conftest.err >&5
22261      echo "$as_me:$LINENO: \$? = $ac_status" >&5
22262      (exit $ac_status); } && {
22263             test -z "$ac_c_werror_flag" ||
22264             test ! -s conftest.err
22265           } && test -s conftest.$ac_objext; then
22266      ac_header_compiler=yes
22267    else
22268      echo "$as_me: failed program was:" >&5
22269    sed 's/^/| /' conftest.$ac_ext >&5
22270    
22271            ac_header_compiler=no
22272    fi
22273    
22274    rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
22275    { echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
22276    echo "${ECHO_T}$ac_header_compiler" >&6; }
22277    
22278    # Is the header present?
22279    { echo "$as_me:$LINENO: checking zlib.h presence" >&5
22280    echo $ECHO_N "checking zlib.h presence... $ECHO_C" >&6; }
22281    cat >conftest.$ac_ext <<_ACEOF
22282    /* confdefs.h.  */
22283    _ACEOF
22284    cat confdefs.h >>conftest.$ac_ext
22285    cat >>conftest.$ac_ext <<_ACEOF
22286    /* end confdefs.h.  */
22287    #include <zlib.h>
22288    _ACEOF
22289    if { (ac_try="$ac_cpp conftest.$ac_ext"
22290    case "(($ac_try" in
22291      *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
22292      *) ac_try_echo=$ac_try;;
22293    esac
22294    eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
22295      (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
22296      ac_status=$?
22297      grep -v '^ *+' conftest.er1 >conftest.err
22298      rm -f conftest.er1
22299      cat conftest.err >&5
22300      echo "$as_me:$LINENO: \$? = $ac_status" >&5
22301      (exit $ac_status); } >/dev/null && {
22302             test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
22303             test ! -s conftest.err
22304           }; then
22305      ac_header_preproc=yes
22306    else
22307      echo "$as_me: failed program was:" >&5
22308    sed 's/^/| /' conftest.$ac_ext >&5
22309    
22310      ac_header_preproc=no
22311    fi
22312    
22313    rm -f conftest.err conftest.$ac_ext
22314    { echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
22315    echo "${ECHO_T}$ac_header_preproc" >&6; }
22316    
22317    # So?  What about this header?
22318    case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
22319      yes:no: )
22320        { echo "$as_me:$LINENO: WARNING: zlib.h: accepted by the compiler, rejected by the preprocessor!" >&5
22321    echo "$as_me: WARNING: zlib.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
22322        { echo "$as_me:$LINENO: WARNING: zlib.h: proceeding with the compiler's result" >&5
22323    echo "$as_me: WARNING: zlib.h: proceeding with the compiler's result" >&2;}
22324        ac_header_preproc=yes
22325        ;;
22326      no:yes:* )
22327        { echo "$as_me:$LINENO: WARNING: zlib.h: present but cannot be compiled" >&5
22328    echo "$as_me: WARNING: zlib.h: present but cannot be compiled" >&2;}
22329        { echo "$as_me:$LINENO: WARNING: zlib.h:     check for missing prerequisite headers?" >&5
22330    echo "$as_me: WARNING: zlib.h:     check for missing prerequisite headers?" >&2;}
22331        { echo "$as_me:$LINENO: WARNING: zlib.h: see the Autoconf documentation" >&5
22332    echo "$as_me: WARNING: zlib.h: see the Autoconf documentation" >&2;}
22333        { echo "$as_me:$LINENO: WARNING: zlib.h:     section \"Present But Cannot Be Compiled\"" >&5
22334    echo "$as_me: WARNING: zlib.h:     section \"Present But Cannot Be Compiled\"" >&2;}
22335        { echo "$as_me:$LINENO: WARNING: zlib.h: proceeding with the preprocessor's result" >&5
22336    echo "$as_me: WARNING: zlib.h: proceeding with the preprocessor's result" >&2;}
22337        { echo "$as_me:$LINENO: WARNING: zlib.h: in the future, the compiler will take precedence" >&5
22338    echo "$as_me: WARNING: zlib.h: in the future, the compiler will take precedence" >&2;}
22339    
22340        ;;
22341    esac
22342    { echo "$as_me:$LINENO: checking for zlib.h" >&5
22343    echo $ECHO_N "checking for zlib.h... $ECHO_C" >&6; }
22344    if test "${ac_cv_header_zlib_h+set}" = set; then
22345      echo $ECHO_N "(cached) $ECHO_C" >&6
22346    else
22347      ac_cv_header_zlib_h=$ac_header_preproc
22348    fi
22349    { echo "$as_me:$LINENO: result: $ac_cv_header_zlib_h" >&5
22350    echo "${ECHO_T}$ac_cv_header_zlib_h" >&6; }
22351    
22352    fi
22353    if test $ac_cv_header_zlib_h = yes; then
22354      { echo "$as_me:$LINENO: checking for zlibVersion in -lz" >&5
22355    echo $ECHO_N "checking for zlibVersion in -lz... $ECHO_C" >&6; }
22356    if test "${ac_cv_lib_z_zlibVersion+set}" = set; then
22357      echo $ECHO_N "(cached) $ECHO_C" >&6
22358    else
22359      ac_check_lib_save_LIBS=$LIBS
22360    LIBS="-lz  $LIBS"
22361    cat >conftest.$ac_ext <<_ACEOF
22362    /* confdefs.h.  */
22363    _ACEOF
22364    cat confdefs.h >>conftest.$ac_ext
22365    cat >>conftest.$ac_ext <<_ACEOF
22366    /* end confdefs.h.  */
22367    
22368    /* Override any GCC internal prototype to avoid an error.
22369       Use char because int might match the return type of a GCC
22370       builtin and then its argument prototype would still apply.  */
22371    #ifdef __cplusplus
22372    extern "C"
22373    #endif
22374    char zlibVersion ();
22375    int
22376    main ()
22377    {
22378    return zlibVersion ();
22379      ;
22380      return 0;
22381    }
22382    _ACEOF
22383    rm -f conftest.$ac_objext conftest$ac_exeext
22384    if { (ac_try="$ac_link"
22385    case "(($ac_try" in
22386      *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
22387      *) ac_try_echo=$ac_try;;
22388    esac
22389    eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
22390      (eval "$ac_link") 2>conftest.er1
22391      ac_status=$?
22392      grep -v '^ *+' conftest.er1 >conftest.err
22393      rm -f conftest.er1
22394      cat conftest.err >&5
22395      echo "$as_me:$LINENO: \$? = $ac_status" >&5
22396      (exit $ac_status); } && {
22397             test -z "$ac_c_werror_flag" ||
22398             test ! -s conftest.err
22399           } && test -s conftest$ac_exeext &&
22400           $as_test_x conftest$ac_exeext; then
22401      ac_cv_lib_z_zlibVersion=yes
22402    else
22403      echo "$as_me: failed program was:" >&5
22404    sed 's/^/| /' conftest.$ac_ext >&5
22405    
22406            ac_cv_lib_z_zlibVersion=no
22407    fi
22408    
22409    rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
22410          conftest$ac_exeext conftest.$ac_ext
22411    LIBS=$ac_check_lib_save_LIBS
22412    fi
22413    { echo "$as_me:$LINENO: result: $ac_cv_lib_z_zlibVersion" >&5
22414    echo "${ECHO_T}$ac_cv_lib_z_zlibVersion" >&6; }
22415    if test $ac_cv_lib_z_zlibVersion = yes; then
22416    
22417          LIBS="-lz $LIBS"
22418    
22419    cat >>confdefs.h <<\_ACEOF
22420    #define HAVE_LIBZ 1
22421    _ACEOF
22422    
22423    
22424    else
22425      zlib=no
22426    fi
22427    
22428    
22429    else
22430      zlib=no
22431    fi
22432    
22433    
22434    fi
22435    
22436    
22437    
22438    
22439    
22440  # Check whether --enable-openssl was given.  # Check whether --enable-openssl was given.
# Line 23099  cat >>confdefs.h <<_ACEOF Line 23207  cat >>confdefs.h <<_ACEOF
23207  _ACEOF  _ACEOF
23208    
23209    
23210    AX_ARG_WITH_IRCD_HEAP_SIZE
23211    AX_ARG_WITH_MQUEUE_HEAP_SIZE
23212  # Check whether --with-ircd-heap-size was given.  AX_ARG_WITH_FMSG_HEAP_SIZE
 if test "${with_ircd_heap_size+set}" = set; then  
   withval=$with_ircd_heap_size; ircd_heap_size="$withval"  
 else  
   ircd_heap_size="8"  
 fi  
   
   
 cat >>confdefs.h <<_ACEOF  
 #define IRCD_HEAP_SIZE $ircd_heap_size  
 _ACEOF  
   
   
   
   
 # Check whether --with-mqueue-heap-size was given.  
 if test "${with_mqueue_heap_size+set}" = set; then  
   withval=$with_mqueue_heap_size; mqueue_heap_size="$withval"  
 else  
   mqueue_heap_size="256"  
 fi  
   
   
 cat >>confdefs.h <<_ACEOF  
 #define MQUEUE_HEAP_SIZE $mqueue_heap_size  
 _ACEOF  
   
   
   
   
 # Check whether --with-fmsg-heap-size was given.  
 if test "${with_fmsg_heap_size+set}" = set; then  
   withval=$with_fmsg_heap_size; fmsg_heap_size="$withval"  
 else  
   fmsg_heap_size="256"  
 fi  
   
   
 cat >>confdefs.h <<_ACEOF  
 #define FMSG_HEAP_SIZE $fmsg_heap_size  
 _ACEOF  
   
   
23213    
23214    
23215  # Check whether --with-nickname-history-length was given.  # Check whether --with-nickname-history-length was given.

Legend:
Removed from v.922  
changed lines
  Added in v.923

svnadmin@ircd-hybrid.org
ViewVC Help
Powered by ViewVC 1.1.28